<?php
include('/home/worksmidiacom/cirurgiadeuroemcadaveres/config/cirurgiadeuroemcadaveres.config.php');

switch($_POST['step']){
case 0: $sql = $conecta->query("INSERT INTO cursos(nome_br, nome_de, nome_fr, nome_es, nome_us, data, descricao_br, descricao_de, descricao_fr, descricao_es, descricao_us) VALUES ('','','','','','".$_POST['data']."','','','','','')");
echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 1: $sql = $conecta->query("UPDATE cursos SET ".$_POST['language']." = '".$_POST['descricao']."' WHERE id = '".$_POST['id']."'");
echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 2: $diretorio = DIR_BASE."assets/imagens/";

		if(!is_dir($diretorio)){ 
			echo "Pasta $diretorio nao existe";
		}else{
			$arquivo = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE;
			for ($controle = 0; $controle < count($arquivo['name']); $controle++){
				
				$destino = $diretorio."/".$arquivo['name'][$controle];
				if($arquivo['name'][$controle] != ''){
				$sql1 = $conecta->query("INSERT INTO fotos(id_curso, imagem, legenda_br, legenda_de, legenda_fr, legenda_es, legenda_us) VALUES ('".$_POST['id_curso']."','".$arquivo['name'][$controle]."','".$_POST['legenda_br']."','".$_POST['legenda_de']."','".$_POST['legenda_fr']."','".$_POST['legenda_es']."','".$_POST['legenda_us']."')");
				$sql1 = $conecta->query("UPDATE pagina_content SET texto = '".$arquivo['name'][$controle]."' WHERE local = 'home' AND posicao = 'img1'");}
				if(move_uploaded_file($arquivo['tmp_name'][$controle], $destino)){
					echo "Upload realizado com sucesso<br>";
					
				}else{
					echo "Erro ao realizar upload";
				}
				
			}
		}
		$sql2 = $conecta->query("UPDATE pagina_content SET texto = '".utf8_encode($_POST['home-texto1'])."' WHERE local = 'home' AND posicao = 'texto1'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 3: $sql = $conecta->query("DELETE FROM fotos WHERE id = '".$_POST['id_foto']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 4: $sql = $conecta->query("UPDATE cursos SET ".$_POST['campo_descricao']."='".$_POST['texto']."' WHERE id = '".$_POST['id']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;}